using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Microsoft.EntityFrameworkCore;
using MS.Entities.SQLite;
using System;
using System.Collections.Generic;
using System.Text;

namespace MS.DbContexts.SQLite
{
    public class MembershipGroupListMap : IEntityTypeConfiguration<MembershipGroupList>
    {

        public void Configure(EntityTypeBuilder<MembershipGroupList> entity)
        {
            entity.ToTable("membershipGroupList");

            entity.Property(e => e.Id)
                .HasColumnName("id")
                .ValueGeneratedNever();

            entity.Property(e => e.CurrentBuId)
                .HasColumnName("currentBuId")
                .HasColumnType("varchar(100)");

            entity.Property(e => e.Phone)
                .HasColumnName("phone")
                .HasColumnType("varchar(20)");

            entity.Property(e => e.UpdateStatus).HasColumnType("varchar(1)");
        }
    }
}
